# Download HRX documents

GET https://api.letsdeel.com/rest/v2/eor/contracts/{contract_id}/hrx-documents/{document_id}

Generates a pre-signed URL to download a specific HRX document as a PDF file for a given EOR contract. The URL is valid for 15 minutes. The document is generated and managed by HRX (Human Resources Experience) and includes various employment-related documents such as employment agreements, onboarding materials, tax documents, visa support letters, and other official documentation required throughout the employment lifecycle.
 **Token scopes**: `contracts:read`, `worker:read`

Reference: https://developer.deel.com/api/reference/endpoints/hrx-documents/download-hrx-documents

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/contracts/{contract_id}/hrx-documents/{document_id}:
    get:
      operationId: download-hrx-documents
      summary: Download HRX documents
      description: >-
        Generates a pre-signed URL to download a specific HRX document as a PDF
        file for a given EOR contract. The URL is valid for 15 minutes. The
        document is generated and managed by HRX (Human Resources Experience)
        and includes various employment-related documents such as employment
        agreements, onboarding materials, tax documents, visa support letters,
        and other official documentation required throughout the employment
        lifecycle.
         **Token scopes**: `contracts:read`, `worker:read`
      tags:
        - subpackage_hrxDocuments
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of the employee contract.
          required: true
          schema:
            type: string
        - name: document_id
          in: path
          description: The unique identifier of the document to download.
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully generated pre-signed URL for HRX document download
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/HRX
                  Documents_downloadHrxDocuments_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DownloadHrxDocumentsRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DownloadHrxDocumentsRequestUnauthorizedError
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorContractsContractIdHrxDocumentsDocumentIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        url:
          type: string
          format: uri
          description: >-
            Pre-signed URL to download the HRX document PDF. Valid for 15
            minutes.
        created_at:
          type: string
          format: date-time
          description: When the document was created
        updated_at:
          type: string
          format: date-time
          description: When the document was last updated
      required:
        - url
        - created_at
        - updated_at
      description: Download information for the HRX document
      title: >-
        EorContractsContractIdHrxDocumentsDocumentIdGetResponsesContentApplicationJsonSchemaData
    HRX Documents_downloadHrxDocuments_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorContractsContractIdHrxDocumentsDocumentIdGetResponsesContentApplicationJsonSchemaData
          description: Download information for the HRX document
      required:
        - data
      title: HRX Documents_downloadHrxDocuments_Response_200
    EorContractsContractIdHrxDocumentsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Error code of the handler which produced the returned error
        field:
          type: string
          description: The field name where authentication failed
        message:
          type: string
          description: Description of the returned error
      title: >-
        EorContractsContractIdHrxDocumentsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems
    DownloadHrxDocumentsRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdHrxDocumentsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems
      title: DownloadHrxDocumentsRequestBadRequestError
    DownloadHrxDocumentsRequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorContractsContractIdHrxDocumentsDocumentIdGetResponsesContentApplicationJsonSchemaErrorsItems
      title: DownloadHrxDocumentsRequestUnauthorizedError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/hrx-documents/123e4567-e89b-12d3-a456-426614174000"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/hrx-documents/123e4567-e89b-12d3-a456-426614174000';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/hrx-documents/123e4567-e89b-12d3-a456-426614174000"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/hrx-documents/123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/hrx-documents/123e4567-e89b-12d3-a456-426614174000")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/hrx-documents/123e4567-e89b-12d3-a456-426614174000', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/hrx-documents/123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/hrx-documents/123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```